Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class AbstractJndiConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.AbstractJndiConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  RmiConnector

    public abstract class AbstractJndiConnector

extends AbstractConnector

This class acts as common baseclass for both Rmi & EjbConnector Resolves Jndi root for connector usage

Field Summary
`protected Context` | `jndiContext`
`protected String` | `jndiInitialFactory`
`protected Map` | `jndiProviderProperties`
`protected String` | `jndiProviderUrl`
`protected String` | `jndiUrlPkgPrefixes`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractJndiConnector(MuleContext context)`

Method Summary
`Context` | `getJndiContext()`
`Context` | `getJndiContext(String jndiProviderUrl)`
`String` | `getJndiInitialFactory()`
`Map` | `getJndiProviderProperties()`
`String` | `getJndiProviderUrl()`
`String` | `getJndiUrlPkgPrefixes()`
`protected void` | `initJndiContext()`
`void` | `setJndiContext(Context jndiContext)`
`void` | `setJndiInitialFactory(String jndiInitialFactory)`
`void` | `setJndiProviderProperties(Map jndiProviderProperties)`
`void` | `setJndiProviderUrl(String jndiProviderUrl)`
`void` | `setJndiUrlPkgPrefixes(String jndiUrlPkgPrefixes)`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connector
`getProtocol`

Field Detail

### jndiInitialFactory

    protected String jndiInitialFactory

### jndiUrlPkgPrefixes

    protected String jndiUrlPkgPrefixes

### jndiProviderUrl

    protected String jndiProviderUrl

### jndiContext

    protected Context jndiContext

### jndiProviderProperties

    protected Map jndiProviderProperties

Constructor Detail

### AbstractJndiConnector

    public AbstractJndiConnector(MuleContext context)

Method Detail

### initJndiContext

    protected void initJndiContext()
                            throws InitialisationException

  Throws:
    `InitialisationException`

### getJndiContext

    public Context getJndiContext(String jndiProviderUrl)
                           throws InitialisationException

  Throws:
    `InitialisationException`

### getJndiContext

    public Context getJndiContext()

### setJndiContext

    public void setJndiContext(Context jndiContext)

### setJndiInitialFactory

    public void setJndiInitialFactory(String jndiInitialFactory)

### getJndiInitialFactory

    public String getJndiInitialFactory()

### setJndiUrlPkgPrefixes

    public void setJndiUrlPkgPrefixes(String jndiUrlPkgPrefixes)

### getJndiUrlPkgPrefixes

    public String getJndiUrlPkgPrefixes()

### getJndiProviderUrl

    public String getJndiProviderUrl()

### setJndiProviderUrl

    public void setJndiProviderUrl(String jndiProviderUrl)

### getJndiProviderProperties

    public Map getJndiProviderProperties()

### setJndiProviderProperties

    public void setJndiProviderProperties(Map jndiProviderProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.